Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

When submitting Apport reports to Launchpad, I regularly get the error "outdated debug symbol package" from the retracing service. How can I upgrade all debug symbol packages to the latest version? They don't seem to upgrade with regular updates through update-manager.

share|improve this question
1  
Can you give an example? I actually don't think that message is about a problem at your end. Also, when upgrading a package which has outdated -dbg(sym) packages installed, those would simply get removed. –  htorque Sep 4 '11 at 21:50
    
Sure, here is an example (see the last message in the thread): bugs.launchpad.net/ubuntu/+source/gnome-settings-daemon/+bug/… –  Anders Feder Sep 5 '11 at 12:37
    
Hi, this does indicate that your system is not up-to-date. It's not just limited to the debug packages. –  htorque Sep 5 '11 at 18:02
    
Thanks. I upgrade daily, but I guess if the retracer is slow, new updates will tend to appear since the report (and thus package data) was filed. It's just that this bug seemed to persist across the updates, so it's weird that the report had to be routinely tossed out. –  Anders Feder Sep 5 '11 at 22:41
add comment

2 Answers

According to ApportRetracingService, it can be the retracing service that is outdated.

share|improve this answer
add comment

try:

sudo apt-get upgrade $(dpkg -l '*-dbg' | grep '^ii' | awk '{print $2}')

I think it can be do easier, but don't remember... Above will work.

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.